Gecode::Search::Config Namespace Reference
Functionality by programming task » Programming models » Search engines

Search configuration More...

## Variables

const bool | clone = true
| Whether engines create a clone when being initialized.
const double | threads = 1.0
| Number of threads to use.
const unsigned int | c_d = 8
| Create a clone after every c_d commits (commit distance).
const unsigned int | a_d = 2
| Create a clone during recomputation if distance is greater than a_d (adaptive distance).
const unsigned int | steal_limit = 3
| Minimal number of open nodes for stealing.
const unsigned int | initial_delay = 5
| Initial delay in milliseconds for all but first worker thread.
const unsigned int | d_l = 5
| Default discrepancy limit for LDS.
const double | base = 1.5
| Base for geometric restart sequence.
const unsigned int | slice = 250
| Size of a slice in a portfolio and scale factor for restarts(in number of failures).
const unsigned int | nogoods_limit = 128
| Depth limit for no-good generation during search.
const unsigned int | cpprofiler_port = 6565U
| Default port for CPProfiler.

## Detailed Description

Search configuration

## Variable Documentation

## clone

const bool Gecode::Search::Config::clone = true

Whether engines create a clone when being initialized.

Definition at line 108 of file search.hh.

## threads

const double Gecode::Search::Config::threads = 1.0

Number of threads to use.

Definition at line 110 of file search.hh.

## c_d

const unsigned int Gecode::Search::Config::c_d = 8

Create a clone after every c_d commits (commit distance).

Definition at line 113 of file search.hh.

## a_d

const unsigned int Gecode::Search::Config::a_d = 2

Create a clone during recomputation if distance is greater than a_d (adaptive distance).

Definition at line 115 of file search.hh.

## steal_limit

const unsigned int Gecode::Search::Config::steal_limit = 3

Minimal number of open nodes for stealing.

Definition at line 118 of file search.hh.

## initial_delay

const unsigned int Gecode::Search::Config::initial_delay = 5

Initial delay in milliseconds for all but first worker thread.

Definition at line 120 of file search.hh.

## d_l

const unsigned int Gecode::Search::Config::d_l = 5

Default discrepancy limit for LDS.

Definition at line 123 of file search.hh.

## base

const double Gecode::Search::Config::base = 1.5

Base for geometric restart sequence.

Definition at line 126 of file search.hh.

## slice

const unsigned int Gecode::Search::Config::slice = 250

Size of a slice in a portfolio and scale factor for restarts(in number of failures).

Definition at line 128 of file search.hh.

## nogoods_limit

const unsigned int Gecode::Search::Config::nogoods_limit = 128

Depth limit for no-good generation during search.

Definition at line 131 of file search.hh.

## cpprofiler_port

const unsigned int Gecode::Search::Config::cpprofiler_port = 6565U

Default port for CPProfiler.

Definition at line 134 of file search.hh.